ru.yandex.clickhouse.response

## Class ClickHouseResponseSummary

- java.lang.Object
- - ru.yandex.clickhouse.response.ClickHouseResponseSummary

    public class ClickHouseResponseSummary
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ClickHouseResponseSummary(long readRows, long writtenRows, long readBytes, long writtenBytes, long totalRowsToRead)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getReadBytes()`
`long` `getReadRows()`
`long` `getTotalRowsToRead()`
`long` `getWrittenBytes()`
`long` `getWrittenRows()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClickHouseResponseSummary

    public ClickHouseResponseSummary(long readRows,
                                     long writtenRows,
                                     long readBytes,
                                     long writtenBytes,
                                     long totalRowsToRead)

### Method Detail

#### getReadRows

    public long getReadRows()

#### getWrittenRows

    public long getWrittenRows()

#### getReadBytes

    public long getReadBytes()

#### getWrittenBytes

    public long getWrittenBytes()

#### getTotalRowsToRead

    public long getTotalRowsToRead()